# $Revision: 1.8 $Date: 2004/08/19 01:21:50 $
%define 	modulename pam_sqlite
Summary:	SQLite PAM Module
Summary(pl):	Modu PAM SQLite
Name:		pam-%{modulename}
Version:	0.3
Release:	2
Epoch:		0
License:	GPL
Group:		Base
Source0:	http://www.edin.dk/pam_sqlite/distributions/%{modulename}-%{version}.tar.gz
# Source0-md5:	61ad442fe619bb1dbb00fd5ba28e54bd
Source1:	%{name}.conf
Patch0:		%{name}-pld.patch
URL:		http://www.edin.dk/pam_sqlite/
BuildRequires:	pam-devel
BuildRequires:	sqlite-devel
Obsoletes:	pam_sqlite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}/security

%description
PAM SQLite is a PAM module that uses SQLite database.

%description -l pl
PAM SQLite jest moduem PAM uywajcym bazy SQLite.

%prep
%setup -q -n %{modulename}-%{version}
%patch0 -p1

%build
%configure2_13 \
	%{!?debug:--disable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}

install -c -m 644 pam_sqlite.so $RPM_BUILD_ROOT/%{_libdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_libdir}/pam_sqlite.so
%attr(600,root,root) %{_sysconfdir}/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_sqlite.spec,v $
Revision 1.8  2004/08/19 01:21:50  undefine
- release 2

Revision 1.7  2004/08/19 01:15:54  undefine
- install file directly without make install (it only call install-module
  which make the same)

Revision 1.6  2004/07/29 20:47:35  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.5  2003/11/28 09:30:40  qboosh
- Obsoletes for old name without macro, cosmetics

Revision 1.4  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.3  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.2  2003/11/25 14:08:28  siefca
- fixes in sources' names

Revision 1.1  2003/11/25 13:40:21  siefca
- leaded common naming conventions for PAM module packages

Revision 1.1  2003/10/26 08:53:36  leafnode
- created, adapterized
- applied patch correcting install procedure
- added example config file
